program Scl

  use sep

  implicit none

  integer                             :: n1, n2, n3, n4, n5, i

  real, dimension(:), allocatable   :: enorm 
  real, dimension(:,:,:,:), allocatable   :: sol
  real, dimension(:,:,:,:), allocatable   :: data

  call sep_init()

  call from_history("n1", n1)
  call from_history("n2", n2)
  call from_history("n3", n3)
  call from_history("n4", n4)
  call from_history("n5", n5)

  call to_history("n1", n5)
  call to_history("o1", 0.)
  call to_history("d1", 1.)
  call to_history("n2", 1)
  call to_history("o2", 0.)
  call to_history("d2", 1.)
  call to_history("n3", 1)
  call to_history("o3", 0.)
  call to_history("d3", 1.)
  call to_history("n4", 1)
  call to_history("o4", 0.)
  call to_history("d4", 1.)
  call to_history("n5", 1)
  call to_history("o5", 0.)
  call to_history("d5", 1.)

  allocate(data(n1,n2,n3,n4), sol(n1,n2,n3,n4), enorm(n5))

  call sep_read(sol, "sol")

  do i=1,n5
    data = 0.0
    call sreed('in', data, 4*size(data))
    enorm(i) = sqrt(sum((data-sol)*(data-sol)))
  enddo

  call sep_write(enorm)

  call sep_close()

end program
