#include <stdio.h>
#include <stdlib.h>
#include <math.h>


int c_init_(int *nt, float *dt, int *vel_nz, int *vel_nx, float *vel_dz, float *vel_dx, int *dev_num)
{

  gpu_init(nt, dt, vel_nz, vel_nx, vel_dz, vel_dx, dev_num);

  return (1);
}

int c_init_model_(int *nt, int *nrec)
{

  gpu_init_model(nt, nrec);

  return (1);
}

int c_init_model2_(int *vel_nz, int *vel_nx)
{

  gpu_init_model2(vel_nz, vel_nx);

  return (1);
}

int c_init_prop_(int *n1s, int *n2s, int *crop1, int *crop2, int *wfld_j)
{

  gpu_init_prop(n1s, n2s, crop1, crop2, wfld_j);

  return (1);
}

int c_vel_update_(float *vel, float *vel2)
{

  gpu_vel_update(vel, vel2);

  return (1);
}

int c_wt_update_(float *wt)
{

  gpu_wt_update(wt);

  return (1);
}

int c_model_(int *sou_z, float *injected_source, int *rec_z, int *rec_ox, float *data)
{

  gpu_model(sou_z, injected_source, rec_z, rec_ox, data);

  return (1);
}

int c_model2_(int *sou_z, float *injected_source, float *refl, int *rec_z, int *rec_ox, float *data)
{

  gpu_model2(sou_z, injected_source, refl, rec_z, rec_ox, data);

  return (1);
}

int c_prop_(int *sou_z, float *injected_source, float *wfld, int *i_start)
{

  gpu_prop(sou_z, injected_source, wfld, i_start);

  return (1);
}
